<?php

namespace Litecms\Buyadd;

use User;

class Buyadd
{
    /**
     * $buyadds object.
     */
    protected $buyadds;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Buyadd\Interfaces\BuyaddsRepositoryInterface $buyadds)
    {
        $this->buyadds = $buyadds;
    }

    /**
     * Returns count of buyadd.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.buyadds.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->buyadds->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\BuyaddsUserCriteria());
        }

        $buyadds = $this->buyadds->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('buyadd::' . $view, compact('buyadds'))->render();
    }
}
